"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _theming = require("../core/theming");

var _Touchable = _interopRequireDefault(require("./Touchable"));

var _Config = _interopRequireDefault(require("./Config"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const Card = ({
  numColumns = 3,
  children,
  onPress,
  theme: {
    spacing
  },
  style
}) => {
  let cardStyle;

  if (numColumns === 1) {
    cardStyle = {
      width: (_Config.default.windowWidth - spacing.gutters * 2 - spacing.small * 2) / 3
    };
  } else if (numColumns === 2) {
    cardStyle = {
      width: (_Config.default.windowWidth - spacing.gutters * 2 - spacing.small) / 2
    };
  } else {
    cardStyle = {
      width: _Config.default.windowWidth - spacing.gutters * 2
    };
  }

  return /*#__PURE__*/_react.default.createElement(_Touchable.default, {
    disabled: !onPress,
    onPress: onPress,
    style: [cardStyle, style]
  }, children);
};

var _default = (0, _theming.withTheme)(Card);

exports.default = _default;
//# sourceMappingURL=Card.js.map