"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _color = _interopRequireDefault(require("color"));

var _reactNative = require("react-native");

var _theming = require("../core/theming");

var _Touchable = _interopRequireDefault(require("./Touchable"));

var _RadioButton = _interopRequireDefault(require("./RadioButton"));

var _componentTypes = require("../core/component-types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const FieldRadioButton = ({
  onPress: _onPress = () => {},
  title,
  selected,
  disabled = false,
  color,
  theme
}) => {
  let titleColor = selected ? theme.colors.primary : theme.colors.light;

  if (disabled) {
    titleColor = (0, _color.default)(titleColor).alpha(theme.disabledOpacity).rgb().string();
  }

  return /*#__PURE__*/React.createElement(_Touchable.default, {
    onPress: () => _onPress(),
    disabled: disabled
  }, /*#__PURE__*/React.createElement(_reactNative.View, {
    style: {
      flexDirection: "row"
    }
  }, /*#__PURE__*/React.createElement(_RadioButton.default, {
    color: color,
    selected: selected,
    disabled: disabled
  }), /*#__PURE__*/React.createElement(_reactNative.Text, {
    style: [theme.typography.body1, {
      color: titleColor,
      marginLeft: theme.spacing.medium
    }]
  }, title)));
};

var _default = (0, _theming.withTheme)(FieldRadioButton);

exports.default = _default;
const SEED_DATA = {
  name: "Field Radio Button",
  tag: "FieldRadioButton",
  category: _componentTypes.COMPONENT_TYPES.field,
  preview_image_url: "{CLOUDINARY_URL}/Field_Radio.png",
  props: {
    title: {
      group: _componentTypes.GROUPS.data,
      label: "Title",
      description: "Title to display alongside radio button",
      required: false,
      editable: true,
      defaultValue: "Title",
      formType: _componentTypes.FORM_TYPES.string
    },
    selected: {
      group: _componentTypes.GROUPS.data,
      label: "Selected",
      description: "Whether the radio button is selected",
      required: true,
      editable: true,
      defaultValue: true,
      formType: _componentTypes.FORM_TYPES.boolean
    },
    color: {
      group: _componentTypes.GROUPS.basic,
      label: "Color",
      description: "Color for the button",
      required: false,
      editable: true,
      defaultValue: "primary",
      formType: _componentTypes.FORM_TYPES.color
    },
    disabled: {
      group: _componentTypes.GROUPS.basic,
      label: "Disabled",
      description: "Whether radio button is disabled",
      editable: true,
      required: false,
      defaultValue: null,
      formType: _componentTypes.FORM_TYPES.boolean
    }
  },
  layout: {}
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=FieldRadioButton.js.map