"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _Touchable = _interopRequireDefault(require("./Touchable"));

var _Icon = _interopRequireDefault(require("./Icon"));

var _theming = require("../core/theming");

var _componentTypes = require("../core/component-types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const IconButton = (_ref) => {
  let {
    icon,
    color: customColor,
    size = 32,
    accessibilityLabel,
    disabled = false,
    loading = false,
    onPress,
    theme,
    style
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["icon", "color", "size", "accessibilityLabel", "disabled", "loading", "onPress", "theme", "style"]);

  const iconColor = customColor || theme.colors.primary;
  const containerStyles = [styles.container];

  if (loading || disabled) {
    containerStyles.push({
      opacity: theme.disabledOpacity
    });
  }

  if (style) {
    containerStyles.push(style);
  }

  return /*#__PURE__*/React.createElement(_Touchable.default, _extends({
    onPress: onPress,
    disabled: disabled || loading,
    style: containerStyles,
    accessibilityLabel: accessibilityLabel,
    accessibilityTraits: disabled ? ["button", "disabled"] : "button",
    accessibilityComponentType: "button",
    accessibilityRole: "button",
    accessibilityState: {
      disabled
    },
    hitSlop: {
      top: 6,
      left: 6,
      bottom: 6,
      right: 6
    }
  }, rest), /*#__PURE__*/React.createElement(_reactNative.View, null, icon && !loading ? /*#__PURE__*/React.createElement(_Icon.default, {
    name: icon,
    size: size,
    color: iconColor
  }) : null, loading ? /*#__PURE__*/React.createElement(_reactNative.ActivityIndicator, {
    size: "small",
    color: iconColor
  }) : null));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    alignItems: "center",
    justifyContent: "center"
  }
});

var _default = (0, _theming.withTheme)(IconButton);

exports.default = _default;
const SEED_DATA = {
  name: "Icon Button",
  tag: "IconButton",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Button_Icon.png",
  props: {
    icon: {
      group: _componentTypes.GROUPS.basic,
      label: "Icon Name",
      description: "Name of icon",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.icon,
      propType: _componentTypes.PROP_TYPES.ASSET,
      defaultValue: null
    },
    size: {
      group: _componentTypes.GROUPS.basic,
      label: "Icon Size",
      description: "Size of icon",
      editable: true,
      required: false,
      formType: _componentTypes.FORM_TYPES.flatArray,
      propType: _componentTypes.PROP_TYPES.NUMBER,
      defaultValue: 32,
      options: [16, 24, 32]
    },
    color: {
      group: _componentTypes.GROUPS.basic,
      label: "Color",
      description: "Color of the icon",
      formType: _componentTypes.FORM_TYPES.color,
      propType: _componentTypes.PROP_TYPES.THEME,
      defaultValue: "strong",
      editable: true,
      required: true
    },
    onPress: {
      group: _componentTypes.GROUPS.basic,
      label: "Action",
      description: "Action to execute when icon button pressed",
      editable: true,
      formType: _componentTypes.FORM_TYPES.action,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: null
    }
  },
  layout: {
    width: 32,
    height: 32
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=IconButton.js.map