"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Config = _interopRequireDefault(require("./Config"));

var _componentTypes = require("../core/component-types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const Image = (_ref) => {
  let {
    source = _Config.default.placeholderImageURL,
    resizeMode = "cover",
    style
  } = _ref,
      props = _objectWithoutProperties(_ref, ["source", "resizeMode", "style"]);

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, style && _reactNative.StyleSheet.flatten(style).aspectRatio && typeof source !== "string" ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [style]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, _extends({
    source: typeof source === "string" ? {
      uri: source
    } : source,
    resizeMode: resizeMode,
    style: [style, {
      aspectRatio: undefined
    }, {
      width: "100%",
      height: "100%"
    }]
  }, props))) : /*#__PURE__*/_react.default.createElement(_reactNative.Image, _extends({
    source: typeof source === "string" ? {
      uri: source
    } : source,
    resizeMode: resizeMode
  }, props)));
};

var _default = Image;
exports.default = _default;
const SEED_DATA = {
  name: "Image",
  tag: "Image",
  description: "A basic Image Component",
  category: _componentTypes.COMPONENT_TYPES.media,
  supports_list_render: false,
  preview_image_url: "https://res.cloudinary.com/altos/image/upload/draftbit/Jigsaw/Image.png",
  layout: {
    width: 250,
    height: 250
  },
  props: {
    source: {
      group: _componentTypes.GROUPS.data,
      label: "Image Source",
      description: "The source of the image",
      editable: true,
      required: true,
      formType: _componentTypes.FORM_TYPES.localImage,
      propType: _componentTypes.PROP_TYPES.ASSET,
      defaultValue: null
    },
    resizeMode: {
      group: _componentTypes.GROUPS.basic,
      label: "Resize Mode",
      description: "Determines how to resize the image when the frame doesn't match the raw image dimensions",
      editable: true,
      required: false,
      defaultValue: "cover",
      formType: _componentTypes.FORM_TYPES.flatArray,
      propType: _componentTypes.PROP_TYPES.STRING,
      options: ["cover", "contain", "stretch", "repeat", "center"]
    }
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=Image.js.map