"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _theming = require("../core/theming");

var _componentTypes = require("../core/component-types");

var _Row = _interopRequireDefault(require("./Row"));

var _Icon = _interopRequireDefault(require("./Icon"));

var _Config = _interopRequireDefault(require("./Config"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const RowBodyIcon = ({
  title,
  subtitle,
  icon,
  style,
  theme: {
    colors,
    typography,
    spacing
  }
}) => {
  return /*#__PURE__*/React.createElement(_Row.default, {
    titleTypeStyle: typography.body1,
    titleColor: colors.medium,
    subtitleTypeStyle: typography.subtitle2,
    subtitleColor: colors.light,
    title: title,
    subtitle: subtitle,
    right: () => /*#__PURE__*/React.createElement(_Icon.default, {
      name: icon,
      size: _Config.default.rowSingleLineIconSize,
      color: colors.light,
      style: {
        marginLeft: spacing.large
      }
    }),
    style: style
  });
};

var _default = (0, _theming.withTheme)(RowBodyIcon);

exports.default = _default;
const SEED_DATA = [{
  name: "Row Single Line Body Icon",
  tag: "RowBodyIcon",
  description: "A row with left aligned body text and a right aligned icon",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_SingleLine_BodyIcon.png",
  supports_list_render: true,
  props: {
    title: {
      group: _componentTypes.GROUPS.data,
      label: "Title",
      description: "Text to display",
      formType: _componentTypes.FORM_TYPES.string,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: "Beautiful West Coast Villa",
      editable: true,
      required: false
    },
    icon: {
      group: _componentTypes.GROUPS.basic,
      label: "Icon",
      description: "Icon to display",
      formType: _componentTypes.FORM_TYPES.icon,
      propType: _componentTypes.PROP_TYPES.ASSET,
      defaultValue: null,
      editable: true,
      required: false
    }
  },
  layout: {}
}, {
  name: "Row Double Line Body Icon",
  tag: "RowBodyIcon",
  description: "A row with left aligned body text and subtitle text and a right aligned icon",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  preview_image_url: "{CLOUDINARY_URL}/Row_DoubleLine_BodyIcon.png",
  supports_list_render: true,
  props: {
    title: {
      group: _componentTypes.GROUPS.data,
      label: "Title",
      description: "Text to display",
      formType: _componentTypes.FORM_TYPES.string,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: "Beautiful West Coast Villa",
      editable: true,
      required: false
    },
    subtitle: {
      group: _componentTypes.GROUPS.data,
      label: "Subtitle",
      description: "Subtitle text to display",
      formType: _componentTypes.FORM_TYPES.string,
      propType: _componentTypes.PROP_TYPES.STRING,
      defaultValue: "San Diego",
      editable: true,
      required: false
    },
    icon: {
      group: _componentTypes.GROUPS.basic,
      label: "Icon",
      description: "Icon to display",
      formType: _componentTypes.FORM_TYPES.icon,
      propType: _componentTypes.PROP_TYPES.ASSET,
      defaultValue: null,
      editable: true,
      required: false
    }
  },
  layout: {}
}];
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=RowBodyIcon.js.map