"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SEED_DATA = void 0;

var _componentTypes = require("../core/component-types");

const SEED_DATA = {
  name: "Star Rating",
  tag: "StarRating",
  description: "A star rating module",
  category: _componentTypes.COMPONENT_TYPES.deprecated,
  props: {
    starSize: {
      defaultValue: 16,
      description: "Size of each individual star",
      editable: true,
      formType: _componentTypes.FORM_TYPES.number,
      group: _componentTypes.GROUPS.basic,
      label: "Star size",
      max: 36,
      min: 0,
      propType: _componentTypes.PROP_TYPES.NUMBER,
      required: false,
      step: 1
    },
    maxStars: {
      defaultValue: 5,
      description: "The max number of stars",
      editable: true,
      formType: _componentTypes.FORM_TYPES.number,
      group: _componentTypes.GROUPS.basic,
      label: "Max Stars",
      max: 36,
      min: 0,
      propType: _componentTypes.PROP_TYPES.NUMBER,
      required: true,
      step: 1
    },
    rating: {
      defaultValue: null,
      description: "The number of stars that should be colored in",
      editable: true,
      formType: _componentTypes.FORM_TYPES.number,
      group: _componentTypes.GROUPS.data,
      label: "Rating",
      min: 0,
      propType: _componentTypes.PROP_TYPES.NUMBER,
      required: true,
      step: 1
    }
  }
};
exports.SEED_DATA = SEED_DATA;
//# sourceMappingURL=StarRating.js.map