function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from "react";
import { Animated, View, StyleSheet } from "react-native";
import Icon from "./Icon";
import Touchable from "./Touchable";
import { withTheme } from "../core/theming";

const CheckboxAndroid = (_ref) => {
  let {
    status = "unchecked",
    disabled = false,
    onPress = () => {},
    theme,
    color,
    style
  } = _ref,
      rest = _objectWithoutProperties(_ref, ["status", "disabled", "onPress", "theme", "color", "style"]);

  const [scaleAnim] = React.useState(new Animated.Value(1));
  const checked = status === "checked";
  const indeterminate = status === "indeterminate";
  const uncheckedColor = theme.colors.light;
  const checkedColor = color || theme.colors.primary;
  const checkboxColor = checked ? checkedColor : uncheckedColor;
  const borderWidth = scaleAnim.interpolate({
    inputRange: [0.8, 1],
    outputRange: [7, 0]
  });
  const icon = indeterminate ? "MaterialIcons/indeterminate-check-box" : checked ? "MaterialIcons/check-box" : "MaterialIcons/check-box-outline-blank";
  React.useEffect(() => {
    const check = status === "checked";
    Animated.sequence([Animated.timing(scaleAnim, {
      toValue: 0.85,
      duration: check ? 200 : 0,
      useNativeDriver: false
    }), Animated.timing(scaleAnim, {
      toValue: 1,
      duration: check ? 200 : 350,
      useNativeDriver: false
    })]).start();
  }, [status, scaleAnim]);
  return /*#__PURE__*/React.createElement(Touchable, _extends({}, rest, {
    onPress: onPress,
    disabled: disabled,
    accessibilityTraits: disabled ? ["button", "disabled"] : "button",
    accessibilityComponentType: "button",
    accessibilityRole: "button",
    accessibilityState: {
      disabled
    },
    accessibilityLiveRegion: "polite",
    style: [{
      borderRadius: 18,
      width: 30,
      height: 30,
      opacity: disabled ? 0.5 : 1
    }, style]
  }), /*#__PURE__*/React.createElement(Animated.View, {
    style: {
      transform: [{
        scale: scaleAnim
      }]
    }
  }, /*#__PURE__*/React.createElement(Icon, {
    name: icon,
    size: 29,
    color: checkboxColor
  }), /*#__PURE__*/React.createElement(View, {
    style: [StyleSheet.absoluteFill, styles.fillContainer]
  }, /*#__PURE__*/React.createElement(Animated.View, {
    style: [styles.fill, {
      borderColor: checkboxColor
    }, {
      borderWidth
    }]
  }))));
};

const styles = StyleSheet.create({
  container: {
    borderRadius: 0,
    width: 30,
    height: 30
  },
  fillContainer: {
    alignItems: "center",
    justifyContent: "center"
  },
  fill: {
    height: 30,
    width: 30
  }
});
export default withTheme(CheckboxAndroid);
//# sourceMappingURL=CheckboxAndroid.js.map