function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from "react";
import { Image as NativeImage, StyleSheet, View } from "react-native";
import Config from "./Config";
import { COMPONENT_TYPES, FORM_TYPES, PROP_TYPES, GROUPS } from "../core/component-types";

const Image = (_ref) => {
  let {
    source = Config.placeholderImageURL,
    resizeMode = "cover",
    style
  } = _ref,
      props = _objectWithoutProperties(_ref, ["source", "resizeMode", "style"]);

  return /*#__PURE__*/React.createElement(React.Fragment, null, style && StyleSheet.flatten(style).aspectRatio && typeof source !== "string" ? /*#__PURE__*/React.createElement(View, {
    style: [style]
  }, /*#__PURE__*/React.createElement(NativeImage, _extends({
    source: typeof source === "string" ? {
      uri: source
    } : source,
    resizeMode: resizeMode,
    style: [style, {
      aspectRatio: undefined
    }, {
      width: "100%",
      height: "100%"
    }]
  }, props))) : /*#__PURE__*/React.createElement(NativeImage, _extends({
    source: typeof source === "string" ? {
      uri: source
    } : source,
    resizeMode: resizeMode
  }, props)));
};

export default Image;
export const SEED_DATA = {
  name: "Image",
  tag: "Image",
  description: "A basic Image Component",
  category: COMPONENT_TYPES.media,
  supports_list_render: false,
  preview_image_url: "https://res.cloudinary.com/altos/image/upload/draftbit/Jigsaw/Image.png",
  layout: {
    width: 250,
    height: 250
  },
  props: {
    source: {
      group: GROUPS.data,
      label: "Image Source",
      description: "The source of the image",
      editable: true,
      required: true,
      formType: FORM_TYPES.localImage,
      propType: PROP_TYPES.ASSET,
      defaultValue: null
    },
    resizeMode: {
      group: GROUPS.basic,
      label: "Resize Mode",
      description: "Determines how to resize the image when the frame doesn't match the raw image dimensions",
      editable: true,
      required: false,
      defaultValue: "cover",
      formType: FORM_TYPES.flatArray,
      propType: PROP_TYPES.STRING,
      options: ["cover", "contain", "stretch", "repeat", "center"]
    }
  }
};
//# sourceMappingURL=Image.js.map