import * as React from "react";
import { StyleSheet, TouchableOpacity } from "react-native";
import { withTheme } from "../core/theming";
import RadioButton from "./RadioButton";
import { View } from "react-native";
import Text from "./Text";

const RadioButtonFieldRow = ({
  label,
  theme,
  backgroundColor = "background",
  labelColor = "strong",
  radioButtonColor = "primary",
  onPress,
  selected,
  style,
  labelStyle
}) => {
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onPress,
    style: [styles.mainParent, style, {
      backgroundColor: theme.colors[backgroundColor]
    }]
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.label, labelStyle, {
      color: theme.colors[labelColor]
    }]
  }, label), /*#__PURE__*/React.createElement(View, {
    style: styles.radioButton
  }, /*#__PURE__*/React.createElement(RadioButton, {
    color: theme.colors[radioButtonColor],
    unselectedColor: radioButtonColor,
    selected: selected,
    onPress: onPress
  })));
};

const styles = StyleSheet.create({
  mainParent: {
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "space-around",
    paddingStart: 20,
    minHeight: 50,
    paddingEnd: 20
  },
  label: {
    flex: 3,
    fontSize: 14
  },
  radioButton: {
    flex: 1,
    alignItems: "flex-end"
  }
});
export default withTheme(RadioButtonFieldRow);
//# sourceMappingURL=RadioButtonFieldRow.js.map