function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import * as React from "react";
import { Switch as NativeSwitch, Platform } from "react-native";
import { withTheme } from "../core/theming";
import { GROUPS, PROP_TYPES, COMPONENT_TYPES, FORM_TYPES, FIELD_NAME } from "../core/component-types";

const Switch = (_ref) => {
  let {
    value,
    disabled,
    onValueChange,
    color,
    theme,
    style
  } = _ref,
      props = _objectWithoutProperties(_ref, ["value", "disabled", "onValueChange", "color", "theme", "style"]);

  let thumbColor;
  let checkedColor = color || theme.colors.primary;

  if (Platform.OS !== "ios") {
    thumbColor = theme.colors.surface;
  }

  return /*#__PURE__*/React.createElement(NativeSwitch, _extends({}, props, {
    value: value,
    disabled: disabled,
    trackColor: {
      false: "",
      true: checkedColor
    } //@ts-ignore
    ,
    activeTrackColor: checkedColor,
    activeThumbColor: thumbColor,
    thumbColor: thumbColor,
    onValueChange: disabled ? undefined : onValueChange,
    style: [{
      opacity: disabled && Platform.OS !== "ios" ? theme.disabledOpacity : 1
    }, style]
  }));
};

export default withTheme(Switch);
export const SEED_DATA = {
  name: "Switch",
  tag: "Switch",
  category: COMPONENT_TYPES.input,
  preview_image_url: "{CLOUDINARY_URL}/Control_Toggle.png",
  props: {
    disabled: {
      group: GROUPS.data,
      label: "Disabled",
      description: "Boolean to handle disabling the switch",
      required: false,
      editable: true,
      defaultValue: false,
      formType: FORM_TYPES.boolean,
      propType: PROP_TYPES.BOOLEAN
    },
    color: {
      group: GROUPS.basic,
      label: "Color",
      description: "Custom color for switch",
      editable: true,
      defaultValue: null,
      required: false,
      formType: FORM_TYPES.color,
      propType: PROP_TYPES.STRING
    },
    fieldName: _objectSpread(_objectSpread({}, FIELD_NAME), {}, {
      defaultValue: "switchValue",
      handlerPropName: "onValueChange"
    })
  },
  layout: {}
};
//# sourceMappingURL=Switch.js.map