import React from "react";
import { StyleProp, ViewStyle } from "react-native";
import theme from "../styles/DefaultTheme";
interface Props {
    image?: string | Blob;
    title?: string;
    subtitle?: string;
    mode?: "right" | "left";
    aspectRatio?: number;
    elevation?: number;
    theme: typeof theme;
    style?: StyleProp<ViewStyle>;
    onPress: () => void;
}
declare const _default: (React.ComponentClass<Pick<Props, "style" | "title" | "image" | "aspectRatio" | "onPress" | "elevation" | "subtitle" | "mode"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}, any> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>) | (React.FunctionComponent<Pick<Props, "style" | "title" | "image" | "aspectRatio" | "onPress" | "elevation" | "subtitle" | "mode"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>);
export default _default;
export declare const SEED_DATA: ({
    name: string;
    tag: string;
    description: string;
    category: string;
    preview_image_url: string;
    supports_list_render: boolean;
    props: {
        image: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: null;
            editable: boolean;
            required: boolean;
        };
        title: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        subtitle: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        aspectRatio: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: null;
            editable: boolean;
            required: boolean;
        };
        elevation: {
            defaultValue: any;
            label: string;
            description: string;
            formType: string;
            propType: string;
            options: number[];
            editable: boolean;
            required: boolean;
            group: string;
        };
        mode: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            options: string[];
            editable: boolean;
            required: boolean;
        };
    };
    layout: {};
} | {
    name: string;
    tag: string;
    description: string;
    category: string;
    preview_image_url: string;
    supports_list_render: boolean;
    props: {
        image: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: null;
            editable: boolean;
            required: boolean;
        };
        title: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        subtitle: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        elevation: {
            defaultValue: any;
            label: string;
            description: string;
            formType: string;
            propType: string;
            options: number[];
            editable: boolean;
            required: boolean;
            group: string;
        };
        mode: {
            label: string;
            description: string;
            group: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
            options?: undefined;
        };
        aspectRatio?: undefined;
    };
    layout: {};
})[];
