import * as React from "react";
import { StyleProp, ViewStyle } from "react-native";
import { Props as SliderProps } from "./Slider";
interface Props extends SliderProps {
    title?: string;
    minimumLabel: string;
    maximumLabel: string;
    style?: StyleProp<ViewStyle>;
}
declare const _default: (React.ComponentClass<Pick<Props, "style" | "title" | "disabled" | "value" | "minimumTrackTintColor" | "maximumTrackTintColor" | "thumbTintColor" | "disabledThumbTintColor" | "minimumValue" | "maximumValue" | "step" | "onValueChange" | "minimumLabel" | "maximumLabel"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}, any> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>) | (React.FunctionComponent<Pick<Props, "style" | "title" | "disabled" | "value" | "minimumTrackTintColor" | "maximumTrackTintColor" | "thumbTintColor" | "disabledThumbTintColor" | "minimumValue" | "maximumValue" | "step" | "onValueChange" | "minimumLabel" | "maximumLabel"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>);
export default _default;
export declare const SEED_DATA: {
    name: string;
    tag: string;
    description: string;
    category: string;
    preview_image_url: string;
    supports_list_render: boolean;
    props: {
        title: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            defaultValue: string;
        };
        minimumLabel: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            defaultValue: string;
        };
        maximumLabel: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            defaultValue: string;
        };
        disabled: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            defaultValue: null;
        };
        maximumValue: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        minimumValue: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        step: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        fieldName: {
            defaultValue: string;
            handlerPropName: string;
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            valuePropName: string;
            editable: boolean;
            required: boolean;
        };
        maximumTrackTintColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            defaultValue: null;
        };
        minimumTrackTintColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            defaultValue: null;
        };
        thumbTintColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            defaultValue: null;
        };
        thumbTouchSize: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: null;
        };
        trackBorderRadius: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        thumbBorderRadius: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        thumbSize: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: null;
        };
    };
    layout: {};
};
