import * as React from "react";
import themeT from "../styles/DefaultTheme";
import { colorTypes } from "../types";
interface Props {
    numberOfSteps: number;
    currentStep: number;
    currentStepStrokeWidth?: number;
    stepStrokeCurrentColor?: colorTypes;
    stepIndicatorSize?: number;
    currentStepIndicatorSize?: number;
    stepIndicatorCurrentColor?: colorTypes;
    stepIndicatorLabelCurrentColor?: colorTypes;
    stepIndicatorLabelFontSize?: number;
    stepNumberFinishedColor?: colorTypes;
    stepNumberUnfinishedColor?: colorTypes;
    unfinishedColor?: colorTypes;
    finishedColor?: colorTypes;
    theme: typeof themeT;
}
declare const _default: (React.ComponentClass<Pick<Props, "numberOfSteps" | "currentStep" | "currentStepStrokeWidth" | "stepStrokeCurrentColor" | "stepIndicatorSize" | "currentStepIndicatorSize" | "stepIndicatorCurrentColor" | "stepIndicatorLabelCurrentColor" | "stepIndicatorLabelFontSize" | "stepNumberFinishedColor" | "stepNumberUnfinishedColor" | "unfinishedColor" | "finishedColor"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}, any> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>) | (React.FunctionComponent<Pick<Props, "numberOfSteps" | "currentStep" | "currentStepStrokeWidth" | "stepStrokeCurrentColor" | "stepIndicatorSize" | "currentStepIndicatorSize" | "stepIndicatorCurrentColor" | "stepIndicatorLabelCurrentColor" | "stepIndicatorLabelFontSize" | "stepNumberFinishedColor" | "stepNumberUnfinishedColor" | "unfinishedColor" | "finishedColor"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>);
export default _default;
export declare const SEED_DATA: {
    name: string;
    tag: string;
    description: string;
    category: string;
    preview_image_url: string;
    supports_list_render: boolean;
    layout: {};
    props: {
        numberOfSteps: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        currentStep: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        stepIndicatorSize: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        stepIndicatorLabelFontSize: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        currentStepIndicatorLabelFontSize: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        unfinishedColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: null;
        };
        finishedColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: null;
        };
        stepNumberUnfinishedColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: null;
        };
        stepNumberFinishedColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: null;
        };
        stepIndicatorCurrentColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: null;
        };
        stepIndicatorLabelCurrentColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: null;
        };
        stepStrokeCurrentColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: null;
        };
        currentStepStrokeWidth: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        currentStepIndicatorSize: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: null;
        };
    };
};
