import * as React from "react";
import { StyleProp, TextStyle, ViewStyle } from "react-native";
import themeT from "../styles/DefaultTheme";
import { colorTypes } from "../types";
interface RadioButtonOption {
    label: string;
    icon?: string;
}
interface Props {
    direction?: "horizontal" | "vertical";
    options?: RadioButtonOption[];
    activeColor?: colorTypes;
    inactiveColor?: colorTypes;
    labelStyle?: StyleProp<TextStyle>;
    iconSize: number;
    contentColor?: colorTypes;
    unselectedContentColor?: colorTypes;
    borderRadius?: number;
    optionSpacing?: number;
    borderColor?: colorTypes;
    style?: StyleProp<ViewStyle>;
    value: string;
    onSelect?: (label: string) => void;
    theme: typeof themeT;
}
declare const _default: (React.ComponentClass<Pick<Props, "style" | "borderRadius" | "value" | "borderColor" | "direction" | "options" | "activeColor" | "inactiveColor" | "labelStyle" | "iconSize" | "contentColor" | "unselectedContentColor" | "optionSpacing" | "onSelect"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}, any> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>) | (React.FunctionComponent<Pick<Props, "style" | "borderRadius" | "value" | "borderColor" | "direction" | "options" | "activeColor" | "inactiveColor" | "labelStyle" | "iconSize" | "contentColor" | "unselectedContentColor" | "optionSpacing" | "onSelect"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>);
export default _default;
export declare const SEED_DATA: {
    name: string;
    tag: string;
    category: string;
    preview_image_url: string;
    props: {
        options: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            options: {
                icon: string;
                label: string;
            }[];
            defaultValue: {
                icon: string;
                label: string;
            }[];
            editable: boolean;
            required: boolean;
        };
        direction: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            options: string[];
            editable: boolean;
            required: boolean;
        };
        activeColor: {
            group: string;
            label: string;
            description: string;
            defaultValue: string;
            formType: string;
            propType: string;
            editable: boolean;
            required: boolean;
        };
        inactiveColor: {
            group: string;
            label: string;
            description: string;
            defaultValue: string;
            formType: string;
            propType: string;
            editable: boolean;
            required: boolean;
        };
        contentColor: {
            group: string;
            label: string;
            description: string;
            defaultValue: string;
            formType: string;
            propType: string;
            editable: boolean;
            required: boolean;
        };
        unselectedContentColor: {
            group: string;
            label: string;
            description: string;
            defaultValue: string;
            formType: string;
            propType: string;
            editable: boolean;
            required: boolean;
        };
        borderColor: {
            group: string;
            label: string;
            description: string;
            defaultValue: string;
            formType: string;
            propType: string;
            editable: boolean;
            required: boolean;
        };
        labelStyle: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: string;
            editable: boolean;
            required: boolean;
        };
        optionSpacing: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: number;
            min: number;
            max: number;
            step: number;
            precision: number;
            editable: boolean;
            required: boolean;
        };
        borderRadius: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: number;
            min: number;
            max: number;
            step: number;
            precision: number;
            editable: boolean;
            required: boolean;
        };
        iconSize: {
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            defaultValue: number;
            min: number;
            max: number;
            step: number;
            precision: number;
            editable: boolean;
            required: boolean;
        };
        fieldName: {
            defaultValue: string;
            handlerPropName: string;
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            valuePropName: string;
            editable: boolean;
            required: boolean;
        };
    };
    layout: {};
};
