import * as React from "react";
import { StyleProp, ViewStyle } from "react-native";
import themeT from "../styles/DefaultTheme";
import { colorTypes } from "../types";
export interface Props {
    style?: StyleProp<ViewStyle>;
    value?: number;
    minimumTrackTintColor: colorTypes;
    maximumTrackTintColor: colorTypes;
    thumbTintColor: colorTypes;
    disabledThumbTintColor?: colorTypes;
    minimumValue: number;
    maximumValue: number;
    step: number;
    disabled?: boolean;
    onValueChange?: (value: number) => void;
    theme: typeof themeT;
}
declare const _default: (React.ComponentClass<Pick<Props, "style" | "disabled" | "value" | "minimumTrackTintColor" | "maximumTrackTintColor" | "thumbTintColor" | "disabledThumbTintColor" | "minimumValue" | "maximumValue" | "step" | "onValueChange"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}, any> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>) | (React.FunctionComponent<Pick<Props, "style" | "disabled" | "value" | "minimumTrackTintColor" | "maximumTrackTintColor" | "thumbTintColor" | "disabledThumbTintColor" | "minimumValue" | "maximumValue" | "step" | "onValueChange"> & {
    theme?: import("@draftbit/react-theme-provider").$DeepPartial<any> | undefined;
}> & import("@draftbit/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<(React.ComponentClass<Props, any> & React.FC<Props>) | (React.FunctionComponent<Props> & React.FC<Props>), {}>);
export default _default;
export declare const SEED_DATA: {
    name: string;
    tag: string;
    description: string;
    category: string;
    preview_image_url: string;
    supports_list_render: boolean;
    props: {
        disabled: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            defaultValue: null;
        };
        maximumValue: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        minimumValue: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        step: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: null;
        };
        fieldName: {
            defaultValue: string;
            handlerPropName: string;
            group: string;
            label: string;
            description: string;
            formType: string;
            propType: string;
            valuePropName: string;
            editable: boolean;
            required: boolean;
        };
        maximumTrackTintColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: string;
        };
        minimumTrackTintColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: string;
        };
        thumbTintColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: string;
        };
        disabledThumbTintColor: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            propType: string;
            defaultValue: string;
        };
        thumbTouchSize: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        trackBorderRadius: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        thumbBorderRadius: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
        thumbSize: {
            group: string;
            label: string;
            description: string;
            editable: boolean;
            required: boolean;
            formType: string;
            min: number;
            max: number;
            step: number;
            precision: number;
            defaultValue: number;
        };
    };
    layout: {};
};
